<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-tools-gettext" role="wrap">
  <?dbhtml filename="gettext.html"?>

  <sect1info condition="script">
    <productname>gettext</productname>
    <productnumber>&gettext-version;</productnumber>
    <address>&gettext-url;</address>
  </sect1info>

  <title>Gettext-&gettext-version;</title>

  <indexterm zone="ch-tools-gettext">
    <primary sortas="a-Gettext">Gettext</primary>
    <secondary>tools</secondary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
    href="../chapter06/gettext.xml"
    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&gettext-ch5-sbu;</seg>
        <seg>&gettext-ch5-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Gettext</title>

    <!--para>For our temporary set of tools, we only need to build and install
    three programs from Gettext.</para-->
    <para>对于我们的临时工具，只要构建和安装 Gettext 中的三个程序即可。
    </para>

    <para>准备编译 Gettext：</para>

<screen><userinput remap="configure">cd gettext-tools
EMACS="no" ./configure --prefix=/tools --disable-shared</userinput></screen>

    <variablelist>
      <title>配置选项的含义：</title>

      <varlistentry>
        <term><parameter>EMACS="no"</parameter></term>
        <listitem>
          <!--para>This prevents the configure script from determining where to
          install Emacs Lisp files as the test is known to hang on some hosts.
          </para-->
		  <para>该选项阻止 configure 脚本寻找 Emacs Lisp 文件的安装位置，
			  因为在某些宿主环境中进行这项查找时会挂起。</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><parameter>--disable-shared</parameter></term>
        <listitem>
          <!--para>We do not need to install any of the shared Gettext libraries at
          this time, therefore there is no need to build them.</para-->
          <para>现在我们不需要安装 Gettext 的任何共享库，因此不用构建它们。
		  </para>
        </listitem>
      </varlistentry>

    </variablelist>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make -C gnulib-lib
make -C intl pluralx.c
make -C src msgfmt
make -C src msgmerge
make -C src xgettext</userinput></screen>

    <!--para>As only three programs have been compiled, it is not possible to run the
    test suite without compiling additional support libraries from the Gettext
    package. It is therefore not recommended to attempt to run the test suite at
    this stage.</para-->
    <para>由于只编译了三个程序，在不构建 Gettext 包中的附加支持库的情况下，
		不可能运行测试套件。因此，在这个阶段，不推荐尝试运行 Gettext
		的测试套件。
	</para>

    <para>安装 <command>msgfmt</command>, <command>msgmerge</command> and
    <command>xgettext</command> 这三个程序：</para>

<screen><userinput remap="install">cp -v src/{msgfmt,msgmerge,xgettext} /tools/bin</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title/>

    <para>该软件包的详细信息可以在
    <xref linkend="contents-gettext"/> 中找到。</para>

  </sect2>

</sect1>
